<template>
  <div class="material">

      <div style="padding-top: 5%;">
          <ul class="title" >
            <li style="width: 10%">序号</li>
            <li style="width: 20%">材料名称</li>
          </ul>
      </div>

      <div  class="content"  @click="goIdcardApply">
          <div  style="width: 10%;text-align:left;margin-left: 6%">1</div>
          <div  style="width: 50%;text-align:left;margin-left: 3.2%">身份证打印</div>
      </div>
    <div  class="content"  @click="goBusinessApply">
      <div  style="width: 10%;text-align:left;margin-left: 6%">2</div>
      <div  style="width: 50%;text-align:left;margin-left: 3.2%">营业执照打印</div>
    </div>
    <div  class="content"  @click="goOtherApply">
      <div  style="width: 10%;text-align:left;margin-left: 6%">3</div>
      <div  style="width: 50%;text-align:left;margin-left: 3.2%">其他</div>
    </div>

      <div style="position: fixed;bottom: 80px;width: 98%;">
          <div style="position: absolute;margin-left:30%;">
            <img style="width: 80%;" src="../../assets/images/btn/btnCancel.png" @click="cancelClick" id="cancel">
          </div>
      </div>

  </div>
</template>

<script>
import { layer } from "@layui/layer-vue";
export default{
	data() {
	  return {
      voiceParameter:{//语音播放参数
        cmd: "cmd",//语音指令，可参考属性voiceInstruct
        animation: 0,//虚拟任务动作编号可参考属性animationEnum
        videocontent: "请选择需要打印的资料",//语音内容
        callback: "PlayAudioCallback"//接口回调函数
      },

	  }
	},
	created() {

    if(robotType){
      this.openVoice()
    }

	},
	methods:{

    goIdcardApply(){//表列表事件
      this.$router.push({ path: '/copyIdcardApply'});
    },
    goBusinessApply(){//表列表事件
      this.$router.push({ path: '/copyBusinessApply'});
    },
    goOtherApply(){//表列表事件
      this.$router.push({ path: '/copyOtherApply'});
    },

		cancelClick() { //取消按钮
			if(robotType){
				robotsdk.closeExternalApp({
				  mode:0 
				});
			}
		},

    openVoice(){
      robotsdk.playAudio(this.voiceParameter);//虚拟人物播放语音及动作
    },

    PlayAudioCallback (res){//语音回调
      console.info("语音播放回调结果============"+res);
    },

	}
}

</script>

<style scoped>
.material{
  background-image: url('../../assets/images/background.png');
  background-repeat: no-repeat;
  background-size: cover;
  overflow:auto;
  margin-bottom: 20px;
  padding: 0 70px;
  height:100%;
}
.title  li{
  float:left;
  color: #ffffff;
  font-size: 24px;
  text-align:center;
  padding-top:10px;
}
.title{
  background-image: url('../../assets/images/materialsDetailTr.png');
  background-repeat:no-repeat;
  background-size:100% 100%;
  height:50px;
}
.content  div{
  color: #ffffff;
  font-size: 24px;
  padding-top: 10px;
  padding-bottom: 10px;
}
.content{
  margin-top:1%;
  background-image: url('../../assets/images/materialsDetailTd.png');
  background-repeat:no-repeat;
  background-size:100% 100%;
  display:flex;
  flex-direction:row;
}
</style>